# -*- coding: utf-8 -*-
import csv
filename = "Jahresabschluss.csv"

firmen = []
rechnungssummen = []

with open(filename, newline="") as csvfile:
    reader = csv.reader(csvfile, delimiter=";")
    next(reader)  
    for row in reader:
        firmen.append(row[2])
        rechnungssummen.append(float(row[4])) 

einzigartige_firmen = []
for firma in firmen:
    if firma not in einzigartige_firmen:
        einzigartige_firmen.append(firma)

summen_pro_firma = []

for kunde in einzigartige_firmen:
    gesamt = 0
    for i in range(len(firmen)):
        if firmen[i] == kunde:
            gesamt += rechnungssummen[i]
    summen_pro_firma.append(gesamt)

print("Jahresabschluss:")
for i in range(len(einzigartige_firmen)):
    print(f"{einzigartige_firmen[i]}: {summen_pro_firma[i]:.2f} EUR")
